LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Networking
User Name
Password
Linux - Networking This forum is for any issue related to networks or networking.
Routing, network cards, OSI, etc. Anything is fair game.

Notices



Reply
 
Search this Thread
Old 01-23-2011, 10:08 PM   #1
pratorian
LQ Newbie
 
Registered: Jan 2011
Posts: 4

Rep: Reputation: 0
metasploit msrpcd help


Hey everyone,

I was really hoping for some help here. Im trying to get Metasploit and Armitage up and running, and im having one heck of a time! Ive gotten it all running once, closed it, then tried to reopen it minutes later to no avail. Im attempting to start 'msrpcd' using: sudo msfrpcd -f -U msf -P test -t Basic

Upon doing that i get this:

[*] XMLRPC starting on 0.0.0.0:55553 (SSL):Basic...
/opt/framework-3.5.1/msf3/lib/rex/socket/comm/local.rb:198:in `rescue in create_by_type': The address is already in use (0.0.0.0:55553). (Rex::AddressInUse)
from /opt/framework-3.5.1/msf3/lib/rex/socket/comm/local.rb:191:in `create_by_type'
from /opt/framework-3.5.1/msf3/lib/rex/socket/comm/local.rb:32:in `create'
from /opt/framework-3.5.1/msf3/lib/rex/socket.rb:46:in `create_param'
from /opt/framework-3.5.1/msf3/lib/rex/socket/tcp_server.rb:39:in `create_param'
from /opt/framework-3.5.1/msf3/lib/rex/socket/tcp_server.rb:29:in `create'
from /opt/framework-3.5.1/msf3/lib/msf/core/rpc/service.rb:17:in `initialize'
from /opt/framework-3.5.1/msf3/plugins/xmlrpc.rb:65:in `new'
from /opt/framework-3.5.1/msf3/plugins/xmlrpc.rb:65:in `initialize'
from /opt/framework-3.5.1/msf3/lib/msf/core/plugin.rb:31:in `new'
from /opt/framework-3.5.1/msf3/lib/msf/core/plugin.rb:31:in `create'
from /opt/framework-3.5.1/msf3/lib/msf/core/plugin_manager.rb:71:in `load'
from /opt/framework-3.5.1/msf3/lib/msf/base/simple/framework.rb:31:in `load'
from /opt/framework-3.5.1/msf3/msfrpcd:104:in `<main>'

Ive gone crazy Googling for the last several hours, and i just cant seem to figure it out. Any ideas?

Also - Im running Debian Lenny inside of Vmware Fusion, using a bridged(autodetect) network connection, running on a Macbook Pro. I was trying to get everything setup on my Mac outside of vmware but after two days of fail there, i decided to just give it a shot inside VMware since im a little better with Debian then i am the OSX Terminal.

I *should* have the latest versions of Metasploit, Armitage, Java, and all the dependencies.

Any help would be greatly appreciated! Thanks!
 
Old 01-24-2011, 05:47 PM   #2
kbp
Senior Member
 
Registered: Aug 2009
Posts: 3,758

Rep: Reputation: 644Reputation: 644Reputation: 644Reputation: 644Reputation: 644Reputation: 644
Quote:
The address is already in use
... have you checked that the port is available ? .. try netstat or lsof
 
Old 01-25-2011, 05:02 AM   #3
pratorian
LQ Newbie
 
Registered: Jan 2011
Posts: 4

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by kbp View Post
... have you checked that the port is available ? .. try netstat or lsof
I realize its unavailable, the thing thats gets me though, is that i had it working at one point, closed the app, and immediately re-opened it, and it will not work now.

Also, I ran netstat and lsof and found nothing at all pertaining to it.
 
Old 01-25-2011, 07:58 AM   #4
kbp
Senior Member
 
Registered: Aug 2009
Posts: 3,758

Rep: Reputation: 644Reputation: 644Reputation: 644Reputation: 644Reputation: 644Reputation: 644
If it's unavailable that means that a process still has it open, find the process and kill it...
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Chrooting metasploit framework CoffeeKing!!! Linux - Security 3 11-15-2010 09:24 AM
Metasploit Applicable for WAN? Manish87 Linux - Security 2 07-06-2010 07:59 PM
[SOLVED] Update metasploit using yum? Manish87 Linux - Newbie 3 07-03-2010 02:23 PM
metasploit frameword 3.2 error zion_rulz Linux - Distributions 0 05-29-2009 08:33 AM
metasploit dellthinker Linux - Software 0 01-21-2007 06:49 PM


All times are GMT -5. The time now is 01:22 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration